## roxterm 2.4.2

=== intl/Makefile ===
# Makefile for directory with message catalog handling library of GNU gettext
# Copyright (C) 1995-1998, 2000-2007 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

PACKAGE = roxterm
VERSION = 2.4.2

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..

# The VPATH variables allows builds with $builddir != $srcdir, assuming a
# 'make' program that supports VPATH (such as GNU make). This line is removed
# by autoconf automatically when "$(srcdir)" = ".".
# In this directory, the VPATH handling is particular:
# 1. If INTL_LIBTOOL_SUFFIX_PREFIX is 'l' (indicating a build with libtool),
#    the .c -> .lo rules carefully use $(srcdir), so that VPATH can be omitted.
# 2. If PACKAGE = gettext-tools, VPATH _must_ be omitted, because otherwise
#    'make' does the wrong thing if GNU gettext was configured with
#    "./configure --srcdir=`pwd`", namely it gets confused by the .lo and .la
#    files it finds in srcdir = ../../gettext-runtime/intl.


prefix = /usr/local
exec_prefix = /usr/local
transform = s,x,x,
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/intl
aliaspath = $(localedir)
subdir = intl

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# ${SHELL} /home/tony/roxterm/install-sh does not start with $(SHELL), so we add it.
# In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) ${SHELL} /home/tony/roxterm/install-sh -d
install_sh = $(SHELL) ${SHELL} /home/tony/roxterm/install-sh
MKDIR_P = /bin/mkdir -p
mkdir_p = /bin/mkdir -p

l = 

AR = ar
CC = gcc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
RANLIB = ranlib
YACC = : -y -d
YFLAGS = --name-prefix=__gettext
WINDRES = 

# -DBUILDING_LIBINTL: Change expansion of LIBINTL_DLL_EXPORTED macro.
# -DBUILDING_DLL: Change expansion of RELOCATABLE_DLL_EXPORTED macro.
DEFS = -DLOCALEDIR=\"$(localedir)\" -DLOCALE_ALIAS_PATH=\"$(aliaspath)\" \
-DLIBDIR=\"$(libdir)\" -DBUILDING_LIBINTL -DBUILDING_DLL -DIN_LIBINTL \
-DENABLE_RELOCATABLE=1 -DIN_LIBRARY -DINSTALLDIR=\"$(libdir)\" -DNO_XMALLOC \
-Dset_relocation_prefix=libintl_set_relocation_prefix \
-Drelocate=libintl_relocate \
-DDEPENDS_ON_LIBICONV=1 -DHAVE_CONFIG_H
CPPFLAGS = 
CFLAGS = -g -O2 -DGSEAL_ENABLE -pthread -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo   -pthread -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include   -fvisibility=hidden
LDFLAGS =  $(LDFLAGS_no)
LDFLAGS_yes = -Wl,--export-all-symbols
LDFLAGS_no =
LIBS =  -pthread -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = \
  gmo.h \
  gettextP.h \
  hash-string.h \
  loadinfo.h \
  plural-exp.h \
  eval-plural.h \
  localcharset.h \
  lock.h \
  relocatable.h \
  tsearch.h tsearch.c \
  xsize.h \
  printf-args.h printf-args.c \
  printf-parse.h wprintf-parse.h printf-parse.c \
  vasnprintf.h vasnwprintf.h vasnprintf.c \
  os2compat.h \
  libgnuintl.h.in
SOURCES = \
  bindtextdom.c \
  dcgettext.c \
  dgettext.c \
  gettext.c \
  finddomain.c \
  hash-string.c \
  loadmsgcat.c \
  localealias.c \
  textdomain.c \
  l10nflist.c \
  explodename.c \
  dcigettext.c \
  dcngettext.c \
  dngettext.c \
  ngettext.c \
  plural.y \
  plural-exp.c \
  localcharset.c \
  lock.c \
  relocatable.c \
  langprefs.c \
  localename.c \
  log.c \
  printf.c \
  version.c \
  osdep.c \
  os2compat.c \
  intl-exports.c \
  intl-compat.c
OBJECTS = \
  bindtextdom.$lo \
  dcgettext.$lo \
  dgettext.$lo \
  gettext.$lo \
  finddomain.$lo \
  hash-string.$lo \
  loadmsgcat.$lo \
  localealias.$lo \
  textdomain.$lo \
  l10nflist.$lo \
  explodename.$lo \
  dcigettext.$lo \
  dcngettext.$lo \
  dngettext.$lo \
  ngettext.$lo \
  plural.$lo \
  plural-exp.$lo \
  localcharset.$lo \
  lock.$lo \
  relocatable.$lo \
  langprefs.$lo \
  localename.$lo \
  log.$lo \
  printf.$lo \
  version.$lo \
  osdep.$lo \
  intl-compat.$lo
OBJECTS_RES_yes = libintl.res
OBJECTS_RES_no =
DISTFILES.common = Makefile.in \
config.charset locale.alias ref-add.sin ref-del.sin export.h libintl.rc \
$(HEADERS) $(SOURCES)
DISTFILES.generated = plural.c
DISTFILES.normal = VERSION
DISTFILES.gettext = COPYING.LIB-2.0 COPYING.LIB-2.1 libintl.glibc README.woe32
DISTFILES.obsolete = xopen-msg.sed linux-msg.sed po2tbl.sed.in cat-compat.c \
COPYING.LIB-2 gettext.h libgettext.h plural-eval.c libgnuintl.h \
libgnuintl.h_vms Makefile.vms libgnuintl.h.msvc-static \
libgnuintl.h.msvc-shared Makefile.msvc

all: all-no
all-yes: libintl.$la libintl.h charset.alias ref-add.sed ref-del.sed
all-no: all-no-no
all-no-yes: libgnuintl.$la
all-no-no:

libintl.a libgnuintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la libgnuintl.la: $(OBJECTS) $(OBJECTS_RES_no)
	$(LIBTOOL) --mode=link \
	  $(CC) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS) $(LDFLAGS) -o $@ \
	  $(OBJECTS)   $(LIBS)  -lc \
	  $(OBJECTS_RES_no) \
	  -version-info $(LTV_CURRENT):$(LTV_REVISION):$(LTV_AGE) \
	  -rpath $(libdir) \
	  -no-undefined

# Libtool's library version information for libintl.
# Before making a gettext release, the gettext maintainer must change this
# according to the libtool documentation, section "Library interface versions".
# Maintainers of other packages that include the intl directory must *not*
# change these values.
LTV_CURRENT=8
LTV_REVISION=2
LTV_AGE=0

.SUFFIXES:
.SUFFIXES: .c .y .o .lo .sin .sed

.c.o:
	$(COMPILE) $<

.y.c:
	$(YACC) $(YFLAGS) --output $@ $<
	rm -f $*.h

bindtextdom.lo: $(srcdir)/bindtextdom.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/bindtextdom.c
dcgettext.lo: $(srcdir)/dcgettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcgettext.c
dgettext.lo: $(srcdir)/dgettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dgettext.c
gettext.lo: $(srcdir)/gettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/gettext.c
finddomain.lo: $(srcdir)/finddomain.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/finddomain.c
hash-string.lo: $(srcdir)/hash-string.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/hash-string.c
loadmsgcat.lo: $(srcdir)/loadmsgcat.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/loadmsgcat.c
localealias.lo: $(srcdir)/localealias.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localealias.c
textdomain.lo: $(srcdir)/textdomain.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/textdomain.c
l10nflist.lo: $(srcdir)/l10nflist.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/l10nflist.c
explodename.lo: $(srcdir)/explodename.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/explodename.c
dcigettext.lo: $(srcdir)/dcigettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcigettext.c
dcngettext.lo: $(srcdir)/dcngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcngettext.c
dngettext.lo: $(srcdir)/dngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dngettext.c
ngettext.lo: $(srcdir)/ngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/ngettext.c
plural.lo: $(srcdir)/plural.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/plural.c
plural-exp.lo: $(srcdir)/plural-exp.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/plural-exp.c
localcharset.lo: $(srcdir)/localcharset.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localcharset.c
lock.lo: $(srcdir)/lock.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/lock.c
relocatable.lo: $(srcdir)/relocatable.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/relocatable.c
langprefs.lo: $(srcdir)/langprefs.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/langprefs.c
localename.lo: $(srcdir)/localename.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localename.c
log.lo: $(srcdir)/log.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/log.c
printf.lo: $(srcdir)/printf.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/printf.c
version.lo: $(srcdir)/version.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/version.c
osdep.lo: $(srcdir)/osdep.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/osdep.c
intl-compat.lo: $(srcdir)/intl-compat.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/intl-compat.c

# This rule is executed only on Woe32 systems.
# The following sed expressions come from the windres-options script. They are
# inlined here, so that they can be written in a Makefile without requiring a
# temporary file. They must contain literal newlines rather than semicolons,
# so that they work with the sed-3.02 that is shipped with MSYS. We can use
# GNU bash's $'\n' syntax to obtain such a newline.
libintl.res: $(srcdir)/libintl.rc
	nl=$$'\n'; \
	sed_extract_major='/^[0-9]/{'$${nl}'s/^\([0-9]*\).*/\1/p'$${nl}q$${nl}'}'$${nl}'c\'$${nl}0$${nl}q; \
	sed_extract_minor='/^[0-9][0-9]*[.][0-9]/{'$${nl}'s/^[0-9]*[.]\([0-9]*\).*/\1/p'$${nl}q$${nl}'}'$${nl}'c\'$${nl}0$${nl}q; \
	sed_extract_subminor='/^[0-9][0-9]*[.][0-9][0-9]*[.][0-9]/{'$${nl}'s/^[0-9]*[.][0-9]*[.]\([0-9]*\).*/\1/p'$${nl}q$${nl}'}'$${nl}'c\'$${nl}0$${nl}q; \
	$(WINDRES) \
	  "-DPACKAGE_VERSION_STRING=\\\"$(VERSION)\\\"" \
	  "-DPACKAGE_VERSION_MAJOR="`echo '$(VERSION)' | sed -n -e "$$sed_extract_major"` \
	  "-DPACKAGE_VERSION_MINOR="`echo '$(VERSION)' | sed -n -e "$$sed_extract_minor"` \
	  "-DPACKAGE_VERSION_SUBMINOR="`echo '$(VERSION)' | sed -n -e "$$sed_extract_subminor"` \
	  -i $(srcdir)/libintl.rc -o libintl.res --output-format=coff

ref-add.sed: $(srcdir)/ref-add.sin
	sed -e '/^#/d' -e 's/@''PACKAGE''@/roxterm/g' $(srcdir)/ref-add.sin > t-ref-add.sed
	mv t-ref-add.sed ref-add.sed
ref-del.sed: $(srcdir)/ref-del.sin
	sed -e '/^#/d' -e 's/@''PACKAGE''@/roxterm/g' $(srcdir)/ref-del.sin > t-ref-del.sed
	mv t-ref-del.sed ref-del.sed

INCLUDES = -I. -I$(srcdir) -I..

libgnuintl.h: $(srcdir)/libgnuintl.h.in
	sed -e '/IN_LIBGLOCALE/d' \
	    -e 's,@''HAVE_POSIX_PRINTF''@,1,g' \
	    -e 's,@''HAVE_ASPRINTF''@,1,g' \
	    -e 's,@''HAVE_SNPRINTF''@,1,g' \
	    -e 's,@''HAVE_WPRINTF''@,0,g' \
	  < $(srcdir)/libgnuintl.h.in \
	| if test 'no' = yes; then \
	    sed -e 's/extern \([^()]*\);/extern __declspec (dllimport) \1;/'; \
	  else \
	    cat; \
	  fi \
	| sed -e 's/extern \([^"]\)/extern LIBINTL_DLL_EXPORTED \1/' \
	      -e "/#define _LIBINTL_H/r $(srcdir)/export.h" \
	| sed -e 's,@''HAVE_VISIBILITY''@,1,g' \
	  > libgnuintl.h

libintl.h: $(srcdir)/libgnuintl.h.in
	sed -e '/IN_LIBGLOCALE/d' \
	    -e 's,@''HAVE_POSIX_PRINTF''@,1,g' \
	    -e 's,@''HAVE_ASPRINTF''@,1,g' \

## roxterm 1.11.1-1.1

=== debian/changelog ===
roxterm (1.11.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #484434). Thanks to Chris Lamb.

 -- Marco Rodrigues <gothicx@sapo.pt>  Wed, 25 Jun 2008 20:43:10 +0100

roxterm (1.11.1-1) unstable; urgency=low

  * New upstream release. (Closes: #471791)
  * Updated doc-base Section to Terminal Emulators

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Fri, 28 Mar 2008 09:27:13 +0300

roxterm (1.10.0-1) unstable; urgency=low

  * New upstream release. (Closes: #461799, #460803)
  * debian/control:
    + Update Standards-Version to 3.7.3
    + Use Homepage field
    + Update debhelper to >= 6
    + Add debian/roxterm.xpm and removed imagemagick in Build-Depends
  * debian/compat:
    + Update debhelper compat level to 6.
  * debian/rules:
    + Add '-as-needed' in LDFLAGS
    + Use debian/roxterm.xpm

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Fri, 04 Jan 2008 22:19:23 +0300

roxterm (1.8.0-1) unstable; urgency=low

  * New upstream release. (Closes: #445151)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Tue, 06 Nov 2007 08:20:40 +0300

roxterm (1.7.4-1) unstable; urgency=low

  * New upstream release
  * Don't report trivial cases of failure to load bgimg in profilegui. (Closes: #441964)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Tue, 11 Sep 2007 23:43:03 +0300

roxterm (1.6.0-1) unstable; urgency=low

  * New upstream release
  * Configuration manager can't copy Keyboard accelerators profile. (Closes: #435989)
  * Can't modify keyboard shortcuts. (Closes: #436158, #435984)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Mon, 03 Sep 2007 22:35:33 +0300

roxterm (1.5.2-2) unstable; urgency=low

  * Renamed roxterm.postint to roxterm.postinst (Closes: #435475).

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Wed, 01 Aug 2007 09:20:15 +0300

roxterm (1.5.2-1) unstable; urgency=low

  * Initial release (Closes: #416089)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Mon, 16 Jul 2007 13:42:17 +0300

=== debian/control ===
Source: roxterm
Section: user/tools
Priority: optional
Maintainer: Thierry Randrianiriana <randrianiriana@gmail.com>
Build-Depends: debhelper, autotools-dev, libglade2-dev, libgtk2.0-dev (>= 2.6), libvte-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl
Standards-Version: 3.7.3
Homepage: http://roxterm.sourceforge.net/

Package: roxterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-tabbed GTK+2 terminal emulator application
 ROXTerm is a terminal emulator intended to provide similar features to
 gnome-terminal, based on the same VTE library, but with a smaller footprint
 and quicker start-up time. It achieves this by not using the GNOME libraries
 and by using a separate applet to provide the configuration GUI. It can be
 used as a ROX application, as the name implies, or in any other X environment.
XB-Maemo-Display-Name: ROXTerm
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dE
 AP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gKEg8aFs28u+AAAAVf
 SURBVEjHhZbdixRXGsZ/p86pqu4ae9I9M0yL48jizEJGUUSXBUEihAiGOEK8CuzFSm5DYAm5
 yUXYS1mQvcqA/4QTWFnQS5clCRL8SoiaGeNEndFxZqenv7urTp2Ti+46dvcKeaE4RZ06H+/z
 PO+HuHLlir18+TKzs7NIKXmTeZ6H53kApGmKUsqNg2atRQgx9O3FixccOXIEtbGxwaVLlzh3
 7tzQgsFHSkmapvyeGWMQQgwdtra2xoULF1C+7zMxMUGlUuHmzZvUajUAfN9HCIGUEt/38TwP
 qRRCCJSUeJ6HUsqNmXeyP5fP5ymXyxQKhd48gBCCarXK0tISDx8+JIoi8vk8M4cVjRchUvgE
 fo58Pk8ul8P3A6TsbRYEAblcDqUUYRgShCFhEDA9Pc2pU6fI5XIAqCAIHDSNRoOdnR2MiBn/
 Q5vjHyvuX4OdH4u0djt0u12klIyNjRGGIUmSEAQBSZI43hKtSbWm2+06GIUQKK01Ukrnuqfg
 7fcEH3zhUZqF4ozH8+/bfPtVgDEpvu87PowxWGvRWpMkCXEcYwHbn4vjmEKh0IM3U1KmLunD
 vsOCPVOCuAEPrgte/mQAi7U9mJMkQQhBq9WiVquhtabVahHHMZ1OhyRJmJ+fZ3FxkcnJyR50
 QgiUUkgpEUKQxvDLN4K33xHMHLEc/TAlmoDaY4uNLfV6nXq9TqvVotls0m63Mcb8nyrb7faQ
 /FWmqEE8dzdSrv8j5t1PfZQS/PG05adrLR5/v0W1WkVr7WDLbDR+RmWutNZDPxQnChxfzHP4
 fUFxv6VTszy7a3j2c4VOxxCGIWEYugA2xgxtLIQgTVN3eXeQ46YP3Z6oyK8389gGHPuoxb1l
 j1++g5wfUpgD+ovTriBu9d4FwnFsrSU1miiKkFK6bKOyoJRSEgQBhUIB2wp49k1Pieu3JCqB
 Y+fa7P9zB+h58OqHPI/+XQAGIBOABWNS53EGrxqUqpSSUrGE7JO4c38PkQIRgvmfZvd+4vZM
 Xvm89VbQ80eIzFEn9yxkMqScGLJxYmIC1U81Q0myDs2Hw7mtr1yUUkN5rtvt0mg08Dzp1iut
 9RBp4+Pj7jbZzTIYRpWF6LGTwZMdFMcx3biDMenrzDBYBrTWbG9vu+gfLBOjJSB7F0IMK8/z
 SOIYrROXZB1H1lp83+f8+fNUq1WMMUPBJoRwXmXj71mxWGR8fPy1vIMgcDhfvHgRYwye55Gm
 KVJKJxKtteNi8MBs/k0Bm3ENoNI0JUkSt3F2+8HNs+I3WGkHPc2gHYXVWusyiKrX69y4cZ3t
 7T85AQzClnk1yMkod57nvbG6WmtZX19namoKpZT6TKf6n6urq2/EX2vN1avLzM/P4fu+K3CZ
 rayscObMGTIKRnuIWq3GwsLCZ6pcLi8BX4/+VCqVcjs7O7mVlZVCs9n4z4kTJ9i7d68r8Vl5
 eb7+nNOnT2/cunXrgwMHDlCpVJqNRiN5HWuTTE5OboiR5uIYUNzc3OTRo5//eu/e3Yutdhtr
 DGfPnh3CPnu/ffs2d+7c4dChQ5w8eZKpqakvZ2Zm/gvsep531/FmjPmb1pqtrS2EEJ/U6/X5
 1dVVlpeXAVhYOEShsAdrwZMCLKSpQcrXMDebTdbWfuXV1ivOLy5y9OhRoihaFUIslUolxsbG
 EEmS2K2tLTY3N3n58iVra2s8efKEBw8eUK83eiU66WJMSpJoTGr63ZFyYRGGIUHgk8/nOXjw
 IHNzc8zOzrJv3z7K5TLT09OIbrd77OnTp0RR9LnW+i/VapVKpUKlskuz2aBWq/X7gS7G2F5f
 0Icua7OiKHJPnxOiKKJUKuF53t+FEP/6DY6vk24anUmrAAAAAElFTkSuQmCC

## roxterm 1.13.0-1maemo1

=== debian/changelog ===
roxterm (1.13.0-1maemo1) unstable; urgency=low

  * New upstream release
  * Hildonised.
  * Files unneeded for Maemo removed.

 -- Faheem Pervez <trippin1@gmail.com>  Thu, 13 Nov 2008 15:44:36 +0000

roxterm (1.12.2-1) unstable; urgency=low

  * New upstream release
  * Ack NMU, thanks Chris Lamb. (Closes: #484434)
  * Update Standards-Version to 3.8.0

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 27 Jul 2008 12:17:49 +0300

## roxterm 1.13.0-1maemo2

=== debian/changelog ===
roxterm (1.13.0-1maemo2) unstable; urgency=low

  * Fixing postinst issue. Thank you to Mikko Vartiainen for notifying me of it.

 -- Faheem Pervez <trippin1@gmail.com>  Thu, 19 Feb 2009 17:48:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: roxterm
 Section: user/tools
 Priority: optional
-Maintainer: Thierry Randrianiriana <randrianiriana@gmail.com>
-Build-Depends: debhelper, autotools-dev, libglade2-dev, libgtk2.0-dev (>= 2.6), libvte-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl
-Standards-Version: 3.7.3
+Maintainer: Faheem Pervez <trippin1@gmail.com>
+XSBC-Original-Maintainer: Thierry Randrianiriana <randrianiriana@gmail.com>
+Build-Depends: debhelper (>= 5), autotools-dev, pkg-config, libhildonfm2-dev, libglade2-dev, libhildon1-dev, libgtk2.0-dev (>= 2.6), libvte-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl
+Standards-Version: 3.8.0
 Homepage: http://roxterm.sourceforge.net/
 
 Package: roxterm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-select-menu-location, libgtk2.0-bin
 Description: multi-tabbed GTK+2 terminal emulator application
  ROXTerm is a terminal emulator intended to provide similar features to
  gnome-terminal, based on the same VTE library, but with a smaller footprint

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,-as-needed" \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) config.sub config.guess
	$(RM) roxterm.1 roxterm-config.1
	$(RM) src/version.h src/rtconfig.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/roxterm install
	xsltproc --nonet -o $(CURDIR)/ \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		$(CURDIR)/debian/roxterm.xml
	xsltproc --nonet -o $(CURDIR)/ \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		$(CURDIR)/debian/roxterm-config.xml
	cp -f $(CURDIR)/debian/roxterm.xpm $(CURDIR)/debian/roxterm/usr/share/pixmaps/
	$(RM) $(CURDIR)/debian/roxterm/usr/share/doc/roxterm/COPYING
	$(RM) $(CURDIR)/debian/roxterm/usr/share/doc/roxterm/AUTHORS
	$(RM) $(CURDIR)/debian/roxterm/usr/share/doc/roxterm/README

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installmenu
#	dh_desktop
	dh_installman roxterm.1 roxterm-config.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## roxterm 1.18.5

=== debian/changelog ===
roxterm (1.18.5-3) unstable; urgency=low

  * Fix setting of env variables (Closes: #598971) (LP: #651578)

 -- Tony Houghton <h@realh.co.uk>  Sun, 03 Oct 2010 16:57:51 +0100

roxterm (1.18.5-2) unstable; urgency=low

  * Backported fixes from forthcoming upstream release to fix problems with
    initialising and resizing multiple tabs (Closes: #592984).
  * Standards-Version: 3.9.1.

 -- Tony Houghton <h@realh.co.uk>  Sun, 15 Aug 2010 21:47:40 +0100

roxterm (1.18.5-1) unstable; urgency=low

  * New upstream release (Closes: #589871):
    + Avoid NULL colour for background tint.
    + Correct setting of rtdbus_ok flag.
    + Added --disable-sm runtime option.

 -- Tony Houghton <h@realh.co.uk>  Fri, 23 Jul 2010 13:45:19 +0100

roxterm (1.18.4-1) unstable; urgency=low

  * New upstream release:
    + Configurable TERM and COLORTERM env variables.
    + Less "noise" when D-BUS fails.
  * Use dh 7.

 -- Tony Houghton <h@realh.co.uk>  Sat, 19 Jun 2010 20:53:42 +0100

roxterm (1.18.3-1) unstable; urgency=low

  * New upstream release:
    + Call gtk_window_present when --tab is used.
      (upstream SourceForge tracker (SF) 2997661, 2997666).
    + Update window title even if vte hasn't set it yet (SF 2999166).
    + Reduces build-deps chain.

 -- Tony Houghton <h@realh.co.uk>  Sun, 23 May 2010 13:22:30 +0100

roxterm (1.18.2-1) unstable; urgency=low

  * New upstream release:
    + Fix crash when using --tab with no pre-existing windows 
      (upstream SourceForge tracker (SF) #2996294).
    + Hide/show menu bar setting is inherited from other windows (SF 2996296).

 -- Tony Houghton <h@realh.co.uk>  Wed, 05 May 2010 20:25:43 +0100

roxterm (1.18.1-1) unstable; urgency=low

  * New upstream release:
    + Support X session management (SF #2779052).
    + Added "Restart Command" menu action (SF #2810001).
    + Ensure no associated menus/dialogs are left open when a terminal exits.
    + Profile editor redesign with new fullscreen/maximise options
      (SF #2942755).
    + Option to reflect terminal status in tab close icon (LP: #509544).
    + Fix --hide-/--show-menubar (SF #2942481).
    + Rudimentary ssh support (SF #2810009).
    + New Window/Tab With Profile menu items (SF #2928415).
    + Moved Always show tabs option to Appearance and made it on by default;
      single tabs no longer fill available space.
  * Upgraded to debian source format 3.0 (quilt).
  * debian/control:
    + Updated long description.
    + Updated Standards-Version.
  * debian/rules: Parse DEB_BUILD_OPTIONS to support parallel build etc
    (based on <http://lists.debian.org/debian-policy/2007/06/msg00022.html>).

 -- Tony Houghton <h@realh.co.uk>  Tue, 23 Mar 2010 18:21:03 +0000

roxterm (1.17.1-1) unstable; urgency=low

  * New upstream release:
    + Added always show tab bar option (SF #2921009).

 -- Tony Houghton <h@realh.co.uk>  Sat, 02 Jan 2010 18:26:28 +0000

roxterm (1.16.3-1) unstable; urgency=low

  * New upstream release:
    + Use PATH when spawning browser/mailer (Closes: #559126).
    + Improved handling of situation when command fails (SF #2809991).

 -- Tony Houghton <h@realh.co.uk>  Sat, 05 Dec 2009 15:28:49 +0000

roxterm (1.16.2-1) unstable; urgency=low

  * New upstream release:
    + Support GNOME default applications (Closes: #557049) (LP: #485206).
    + Close buttons on tabs are optional (SF #2863351).
    + Handle multiple displays/screens correctly (SF #2854625).
    + Added ROXTERM_PID and ROXTERM_NUM environment variables
      (SF #2846976).
    + Fixed minor issues with man pages.
  * debian/postinst:
    + Only run update-alternatives if $1 = "configure".
  * debian/control:
    + Added build deps: gettext, xmlto (SF #2854333), gnome-control-center-dev.
    + Added Vcs-* fields.
    + Update Standards-Version to 3.8.3

 -- Tony Houghton <h@realh.co.uk>  Sat, 28 Nov 2009 14:02:07 +0000

roxterm (1.15.2-1) unstable; urgency=low

  * New maintainer (Closes: #535246).
  * New upstream release (Closes: #511114, #485824).
  * Use upstream manpages.
  * debian/control:
    + Update Standards-Version to 3.8.2
  * debian/rules:
    + Delete config.log in clean
  * debian/copyright:
    + Refer to absolute licence file (GPL-3)

 -- Tony Houghton <h@realh.co.uk>  Mon, 06 Jul 2009 14:25:13 +0100

=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends: debhelper (>= 7.0.50), gettext, autotools-dev, libglade2-dev,
    libgtk2.0-dev (>= 2.6), libvte-dev, libsm-dev,
    libdbus-glib-1-dev, xsltproc, docbook-xsl
Standards-Version: 3.9.1
Homepage: http://roxterm.sourceforge.net/
Vcs-Svn: https://roxterm.svn.sourceforge.net/svnroot/roxterm/trunk/roxterm/debian
Vcs-Browser: http://roxterm.svn.sourceforge.net/viewvc/roxterm/trunk/roxterm/debian/

Package: roxterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Recommends: openssh-client
Description: Multi-tabbed GTK/VTE terminal emulator
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. It can be used
 as a ROX application, as the name implies, but also integrates well with other
 X desktop environments such as GNOME.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnome-default-applications=/usr/share/gnome-control-center/default-apps

override_dh_auto_build:
	dh_auto_build --parallel

override_dh_auto_install:
	dh_auto_install
	dh_install --sourcedir=debian roxterm.xpm /usr/share/pixmaps/

=== debian/watch ===
version=3
http://sf.net/roxterm/roxterm-(.*)\.tar\.gz

## roxterm 1.22.2

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Build-Depends: debhelper (>= 7.0.50), gettext, autotools-dev, libglade2-dev,
     libgtk2.0-dev (>= 2.6), libvte-dev, libsm-dev,
     libdbus-glib-1-dev, xsltproc, docbook-xsl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://roxterm.sourceforge.net/
-Vcs-Svn: https://roxterm.svn.sourceforge.net/svnroot/roxterm/trunk/roxterm/debian
-Vcs-Browser: http://roxterm.svn.sourceforge.net/viewvc/roxterm/trunk/roxterm/debian/
+Vcs-Git: git://roxterm.git.sourceforge.net/gitroot/roxterm/roxterm
+Vcs-Browser: http://roxterm.git.sourceforge.net/git/gitweb.cgi?p=roxterm/roxterm;a=summary
 
 Package: roxterm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
 Provides: x-terminal-emulator
 Recommends: openssh-client
 Description: Multi-tabbed GTK/VTE terminal emulator

## roxterm 2.4.2

=== debian/changelog ===
roxterm (2.4.2-1) experimental; urgency=low

  * New upstream version:
    + Replaced autotools buildsystem with maitch.
    + Modified action of "Disable menu access key".
    + Added option to disable window resize grip.
    + Fixed search dialog bug.
    + --tab may be used with -T to specify which window to reuse.
    + Action on middle-clicking a tab label is configurable.
    + Force label resize on parent size-allocate in gtk2.
    + Fixed some bugs related to dragging tabs.
    + debian/watch: Supports bz2.
    + Set title template in windows created for dragged out tabs.
    + New window for dragged out tab gets old window's show menubar setting.
    + Optionally show tab number in label.
    + Avoid unnecessary rebuilding of po(t) files.
    + Only present a window if it's visible - was causing profiles with
      multiple tabs to open windows too small.
    + Added --fork option.
  * debian/copyright: Overdue attribution of Tango colour scheme file to
    Trustin Lee.

 -- Tony Houghton <h@realh.co.uk>  Wed, 04 Jan 2012 17:21:26 +0000

roxterm (2.2.2-1) experimental; urgency=low

  * New upstream version:
    + Matching filenames without file:// prefix is optional.
    + Handle failure to read cwd gracefully (Closes: #639687).
    + Include trailing ')' character in URLs.
    + Use deprecated versions of get_mapped/realized functions for gtk < 2.20.
    + --no-geometry option to workaround #632403.
    + debian/control: Fix build-dep's gtk2 version.
    + debian/copyright: comply to DEP-5, clarify GPL-2+.
    + Replace abstracts in roxterm-config.ui for backwards compatibility.
    + Restrict tab label size to prevent incorrect unmaximizing in GTK3.
    + Added extra scrolling menu items.

 -- Tony Houghton <h@realh.co.uk>  Wed, 05 Oct 2011 18:46:13 +0100

roxterm (2.0.1-1) experimental; urgency=low

  * New upstream version:
    + Use GtkBuilder instead of libglade, support GTK+3.
    + Added search feature.
    + Support file URIs.
    + New tab placement is configurable (Closes: #637021).
    + Improved Tabs popup menu.
    + Improved tab label appearance and packing.
    + Dropped Spanish translation due to lack of maintenance.
  * Build multiple packages to support GTK+2 and GTK+3.

 -- Tony Houghton <h@realh.co.uk>  Sun, 21 Aug 2011 17:00:43 +0100

roxterm (1.22.2-1) unstable; urgency=low

  * New upstream version:
    + Fixes a bug with compositing/colormap (SF bug: 3314176)

 -- Tony Houghton <h@realh.co.uk>  Tue, 21 Jun 2011 21:42:44 +0100

roxterm (1.22.1-1) unstable; urgency=low

  * New upstream version:
    + Regression fix: profile editor was failing to respond to changes in
      text entry widgets.
    + New Window/Tab With Profile submenu can be popped up with shortcut.
    + New tabs are inserted immediately after currrent.
    + Lists of profiles etc are sorted.
    + Move Tab Left wraps correctly.
    + New --role option.
    + --xclass and --xname options removed.
    + No underlines in popup menus (mnemonics don't work in popups).
    + Try to avoid creating redundant session state files.
    + Respond when compositing is enabled/disabled.
   * Updated Standards-Version: 3.9.2.

 -- Tony Houghton <h@realh.co.uk>  Thu, 02 Jun 2011 13:27:47 +0100

roxterm (1.21.4-1) unstable; urgency=low

  * New upstream version:
    + Allow shortcuts to be set on all fixed Tabs menu items.
    + Fix minor memory leaks and potential NULL dereference.
    + Support TERM setting with vte >= 0.26.
    + Command line options to set window class hints.
    + Window title can be configured in profiles.

 -- Tony Houghton <h@realh.co.uk>  Mon, 14 Mar 2011 17:20:51 +0000

roxterm (1.20.7-1) unstable; urgency=low

  * New upstream version:
    + Correct path to HTML docs shown in man pages.
    + Improved terminal size management.
    + Rationalised handling of tab and window titles.
    + Use ellipsizing in tab labels again (Closes: #601828).
    + Support tab popup menus.
    + New windows take on profile's default size instead of inheriting
      previous window's size.
    + Added Nicola Fontana's patch to fix login shell option.
    + New sizing code to fix sf.net bug 3041926.
    + Default to using GtkNotebook's implementation of draggable tabs.
    + New HTML documentation.
    + Spanish translation.
  * Use -Wall in CFLAGS.
  * debian/control:
    + Updated Vcs-* fields to git repository.
    + Added binary dependency on librsvg2-common.
  * Removed debian/patches:- all merged upstream.

 -- Tony Houghton <h@realh.co.uk>  Wed, 19 Jan 2011 18:16:18 +0000

=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends: debhelper (>= 7.0.50),
    libgtk-3-dev, libvte-2.90-dev,
    libgtk2.0-dev (>=2.18), libvte-dev,
    libsm-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl,
    python, python-lockfile, libtool, imagemagick, librsvg2-bin
Standards-Version: 3.9.2
Homepage: http://roxterm.sourceforge.net/
Vcs-Git: git://roxterm.git.sourceforge.net/gitroot/roxterm/roxterm
Vcs-Browser: http://roxterm.git.sourceforge.net/git/gitweb.cgi?p=roxterm/roxterm;a=summary

Package: roxterm-common
Architecture: all
Depends: ${misc:Depends}
Replaces: roxterm (<< 2.0.0-1)
Breaks: roxterm (<< 2.0.0-1)
Recommends: roxterm-gtk3 | roxterm-gtk2, openssh-client
Description: Multi-tabbed GTK+/VTE terminal emulator
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package contains files used by both the GTK+2 (roxterm-gtk2) and 
 GTK+3 (roxterm-gtk3) versions.

Package: roxterm-gtk3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
    roxterm-common (= ${source:Version})
Conflicts: roxterm-gtk2
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package provides the GTK+3 version of the binaries. The roxterm-gtk2
 package provides a GTK+2 version.

Package: roxterm-gtk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
    roxterm-common (= ${source:Version})
Conflicts: roxterm-gtk3
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package provides the GTK+2 version of the binaries. The roxterm-gtk3
 package provides a GTK+3 version.

Package: roxterm
Architecture: all
Depends: ${misc:Depends}, roxterm-gtk3 (>= ${source:Version})
Description: Multi-tabbed GTK+/VTE terminal emulator
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This is a virtual package to ease upgrade to roxterm-gtk3. Install
 roxterm-gtk2 instead if you want to stick with GTK+2.

=== debian/rules ===
#!/usr/bin/make -f

# Split this up a bit to avoid long lines
CONFIGURE_GDA_PATH = /usr/share/gnome-control-center/default-apps
CONFIGURE_GDA = --with-gnome-default-applications=$(CONFIGURE_GDA_PATH)
CONFIGURE_LDFLAGS = LDFLAGS=-Wl,--as-needed
CONFIGURE_DIRS = PREFIX=/usr
CONFIGURE_TRANS = --disable-translations
CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS)
CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
MSCRIPT_OPTS = --lock-top
COMMON_DIRS = --top-dir=../.. --src-dir='$${TOP_DIR}/src'
DIRS_GTK2 = --build-dir=debian/build-gtk2 $(COMMON_DIRS)
DIRS_GTK3 = --build-dir=debian/build-gtk3 $(COMMON_DIRS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONFIGURE_COMMON += --parallel=$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_configure:
	python mscript.py configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
		 --disable-gtk3 $(DIRS_GTK2)
	python mscript.py configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
		--enable-gtk3 $(DIRS_GTK3)

override_dh_auto_build:
	python mscript.py build $(MSCRIPT_OPTS) $(DIRS_GTK2)
	python mscript.py build $(MSCRIPT_OPTS) $(DIRS_GTK3)

override_dh_auto_install:
	python mscript.py install $(MSCRIPT_OPTS) $(DIRS_GTK3) --destdir=../tmp

override_dh_install:
	dh_install
	install -d debian/roxterm-gtk2/usr/bin
	libtool --mode=install install debian/build-gtk2/roxterm \
		debian/build-gtk2/roxterm-config \
		`pwd`/debian/roxterm-gtk2/usr/bin
	dh_install -proxterm-common debian/roxterm.xpm usr/share/pixmaps/

override_dh_auto_test:

override_dh_auto_clean:
	python mscript.py clean $(MSCRIPT_OPTS) $(DIRS_GTK3)
	rm -rf debian/build-gtk2 debian/build-gtk3
	rm -f maitch.py[co]

## roxterm 2.5.3

=== debian/changelog ===
roxterm (2.5.3-1) unstable; urgency=low

  * New upstream version:
    + New windows created for dragged-out tabs use configured tab
      position setting.

 -- Tony Houghton <h@realh.co.uk>  Sun, 11 Mar 2012 17:32:47 +0000

roxterm (2.5.2-1) unstable; urgency=low

  * New upstream version:
    + maitch.py: Reorder args in compiler checks: libs must come after source
      on some systems.
    + More flexible close window/tab warnings.
    + Added global option to use dark theme.
    + Revamped "configlet" (Configuration Manager).
    + --tab only reuses windows on current workspace unless overridden
      by --title.
    + SVG-derived pixmaps are included in release tarballs for convenience.
    + Option to use dark GTK theme variant.
  * debian/control: Removed imagemagick and librsvg2-bin from Build-Depends
    (see above).
  * Debian packaging now maintained with git-buildpackage.
  * debian/control:
    + Bump Standards-Version: 3.9.3.
    + Each binary package has a unique short description.
  * debian/copyright: New URL for Format.
  * Changed target back to unstable instead of experimental.

 -- Tony Houghton <h@realh.co.uk>  Sun, 26 Feb 2012 19:52:56 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CONFIGURE_LDFLAGS = LDFLAGS=-Wl,--as-needed
 CONFIGURE_DIRS = PREFIX=/usr
 CONFIGURE_TRANS = --disable-translations
-CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS)
+CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) --disable-git
 CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
 MSCRIPT_OPTS = --lock-top
 COMMON_DIRS = --top-dir=../.. --src-dir='$${TOP_DIR}/src'

## roxterm 2.6.5

=== debian/changelog ===
roxterm (2.6.5-1) unstable; urgency=low

  * Inherit cwd correctly when being launched from a command
    (fixes regression in 2.6.4).

 -- Tony Houghton <h@realh.co.uk>  Mon, 18 Jun 2012 23:21:05 +0300

roxterm (2.6.4-1) unstable; urgency=low

  * Check for valid cwd before using it to spawn processes (Closes: #674843).
  * Added "System" to Categories in desktop file.
  * New version of maitch which supports implicit rules only and makes
    better use of commonly used flags.
  * debian/rules: Use appropriate flags from dpkg-buildflags.

 -- Tony Houghton <h@realh.co.uk>  Mon, 28 May 2012 18:26:51 +0100

roxterm (2.6.3-1) unstable; urgency=low

  * Removed disused ..._get_*_under_pointer funcs.
  * Replaced several instances of Gtk*Box with GtkGrid.
  * Fixed VtePty life cycle (Closes: #671160).

 -- Tony Houghton <h@realh.co.uk>  Sat, 05 May 2012 16:32:22 +0100

roxterm (2.6.2-1) unstable; urgency=low

  * Ensure vte widgets realized before reading xid (Closes: #663736).
  * Explicitly close pty when deleting a terminal.
  * Warnings apply to closing windows via menu (Closes: #664887).
  * Debian packaging now maintained in master branch again.
  * Changed close warning dialog buttons to Yes/No.
  * Honour login option when restoring a session (Closes: #663739).
  * Reread GdkWindow when re-mapping windows when compositing changes.
  * debian/watch: Corrected pcre syntax for uncaptured bz2/gz suffix. 

 -- Tony Houghton <h@realh.co.uk>  Fri, 20 Apr 2012 19:37:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
     libgtk-3-dev, libvte-2.90-dev,
     libgtk2.0-dev (>=2.18), libvte-dev,
     libsm-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl,
-    python, python-lockfile, libtool, imagemagick, librsvg2-bin
-Standards-Version: 3.9.2
+    python, python-lockfile, libtool
+Standards-Version: 3.9.3
 Homepage: http://roxterm.sourceforge.net/
 Vcs-Git: git://roxterm.git.sourceforge.net/gitroot/roxterm/roxterm
 Vcs-Browser: http://roxterm.git.sourceforge.net/git/gitweb.cgi?p=roxterm/roxterm;a=summary
@@ -18,7 +18,7 @@
 Replaces: roxterm (<< 2.0.0-1)
 Breaks: roxterm (<< 2.0.0-1)
 Recommends: roxterm-gtk3 | roxterm-gtk2, openssh-client
-Description: Multi-tabbed GTK+/VTE terminal emulator
+Description: Multi-tabbed GTK+/VTE terminal emulator - common files
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
  shifted to providing a richer range of features for power users.
@@ -32,7 +32,7 @@
     roxterm-common (= ${source:Version})
 Conflicts: roxterm-gtk2
 Provides: x-terminal-emulator
-Description: Multi-tabbed GTK+/VTE terminal emulator
+Description: Multi-tabbed GTK+/VTE terminal emulator - GTK3 version
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
  shifted to providing a richer range of features for power users.
@@ -46,7 +46,7 @@
     roxterm-common (= ${source:Version})
 Conflicts: roxterm-gtk3
 Provides: x-terminal-emulator
-Description: Multi-tabbed GTK+/VTE terminal emulator
+Description: Multi-tabbed GTK+/VTE terminal emulator - GTK2 version
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
  shifted to providing a richer range of features for power users.
@@ -57,7 +57,7 @@
 Package: roxterm
 Architecture: all
 Depends: ${misc:Depends}, roxterm-gtk3 (>= ${source:Version})
-Description: Multi-tabbed GTK+/VTE terminal emulator
+Description: Multi-tabbed GTK+/VTE terminal emulator - virtual package for GTK3
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
  shifted to providing a richer range of features for power users.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 COMMON_DIRS = --top-dir=../.. --src-dir='$${TOP_DIR}/src'
 DIRS_GTK2 = --build-dir=debian/build-gtk2 $(COMMON_DIRS)
 DIRS_GTK3 = --build-dir=debian/build-gtk3 $(COMMON_DIRS)
+CFLAGS = $(shell dpkg-buildflags | grep '^CFLAGS=')
+CPPFLAGS = $(shell dpkg-buildflags | grep '^CPPFLAGS=')
+LDFLAGS = $(shell dpkg-buildflags | grep '^LDFLAGS=') -Wl,--as-needed
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -23,9 +26,11 @@
 
 override_dh_auto_configure:
 	python mscript.py configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
-		 --disable-gtk3 $(DIRS_GTK2)
+		 --disable-gtk3 $(DIRS_GTK2) \
+		 "$(CFLAGS)" "$(CPPFLAGS)" "$(LDFLAGS)"
 	python mscript.py configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
-		--enable-gtk3 $(DIRS_GTK3)
+		--enable-gtk3 $(DIRS_GTK3) \
+		 "$(CFLAGS)" "$(CPPFLAGS)" "$(LDFLAGS)"
 
 override_dh_auto_build:
 	python mscript.py build $(MSCRIPT_OPTS) $(DIRS_GTK2)

## roxterm 2.7.2

=== debian/changelog ===
roxterm (2.7.2-1) unstable; urgency=low

  * New upstream release:
    + Plugged memory leak.
    + Fixed l10n.
    + Worked around race condition when using --tab.
    + Height option default is now consistent in term and profile editor.
  * Target unstable again now Wheezy is released.

 -- Tony Houghton <h@realh.co.uk>  Sat, 01 Jun 2013 21:07:55 +0100

roxterm (2.7.1-1) experimental; urgency=low

  * Enable translations even if incomplete.
    + debian/control: Build-Depends on po4a and gettext.
    + debian/roxterm-common.install: Add translation files.
  * Use GdkRGBA instead of GdkColor when possible.
  * Added option to bind a colour scheme to a profile (Closes: #684294).
  * Escape quotes in URLs (Closes: #696917).
  * Added optional new tab button (Closes: #665840).
  * Parse a single argument to -e in case it contains a space-separated
    executable and arguments.
  * Fixed Files/Filer option by responding to changes of widget content.
  * Support python 2.4 in build by not using with statement.
  * Exclude < from end of URL match.
  * Added half page scrolling actions (patch by Jim Paris).
  * Added bold and dim colour options.
  * Changed default select-by-word pattern (ameliorates #688025).
  * Fixed misinterpretation of --tab-name as --tab.
  * debian/control: git repo has moved.
  * debian/rules: Use git to generate version info etc if .git is present.
  * debian/changelog: Target experimental due to wheezy pre-release freeze.
  * lintian overrides for xpm files were apparently obsolete; removed.

 -- Tony Houghton <h@realh.co.uk>  Mon, 01 Apr 2013 21:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
     libgtk-3-dev, libvte-2.90-dev,
     libgtk2.0-dev (>=2.18), libvte-dev,
     libsm-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl,
-    python, python-lockfile, libtool
+    python, python-lockfile, libtool,
+    gettext, po4a
 Standards-Version: 3.9.3
 Homepage: http://roxterm.sourceforge.net/
-Vcs-Git: git://roxterm.git.sourceforge.net/gitroot/roxterm/roxterm
-Vcs-Browser: http://roxterm.git.sourceforge.net/git/gitweb.cgi?p=roxterm/roxterm;a=summary
+Vcs-Git: git://git.code.sf.net/p/roxterm/code
+Vcs-Browser: https://sourceforge.net/p/roxterm/code/
 
 Package: roxterm-common
 Architecture: all
@@ -23,7 +24,7 @@
  intended to be a lightweight alternative to gnome-terminal, but its role has
  shifted to providing a richer range of features for power users.
  .
- This package contains files used by both the GTK+2 (roxterm-gtk2) and 
+ This package contains files used by both the GTK+2 (roxterm-gtk2) and
  GTK+3 (roxterm-gtk3) versions.
 
 Package: roxterm-gtk3

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,17 @@
 #!/usr/bin/make -f
 
+ifeq ($(wildcard .git),.git)
+CONFIGURE_GIT =
+else
+CONFIGURE_GIT = --disable-git
+endif
 # Split this up a bit to avoid long lines
 CONFIGURE_GDA_PATH = /usr/share/gnome-control-center/default-apps
 CONFIGURE_GDA = --with-gnome-default-applications=$(CONFIGURE_GDA_PATH)
 CONFIGURE_LDFLAGS = LDFLAGS=-Wl,--as-needed
 CONFIGURE_DIRS = PREFIX=/usr
-CONFIGURE_TRANS = --disable-translations
-CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) --disable-git
+CONFIGURE_TRANS = --enable-translations
+CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) $(CONFIGURE_GIT)
 CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
 MSCRIPT_OPTS = --lock-top
 COMMON_DIRS = --top-dir=../.. --src-dir='$${TOP_DIR}/src'

=== debian/watch ===
version=3
http://sf.net/roxterm/roxterm-(.*)\.tar\.(?:gz|bz2)
